VMTKSURFACEREFERENCESYSTEMTRANSFORM(1)

NAME
vmtksurfacereferencesystemtransform - vmtk script vmtksurfacereferencesystemtransform

DESCRIPTION
Automatic piping vmtksurfacereferencesystemtransform Parsing options vmtksurfacereferencesystemtransform

vmtksurfacereferencesystemtransform : translate and rotate a surface

    in order to orient its reference system with a target reference system

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-referenceorigin ReferenceOrigin (float,3); default=[0.0, 0.0,

    0.0]: origin of the target reference system

-referencenormal1 ReferenceNormal1 (float,3); default=[0.0, 0.0,

    1.0]: first normal of the target reference system

-referencenormal2 ReferenceNormal2 (float,3); default=[0.0, 1.0,

    0.0]: second normal of the target reference system

-referencesystems ReferenceSystems (vtkPolyData,1): reference

    systems of the input surface represented by a set of points with two normals each

-referencesystemsfile ReferenceSystemsInputFileName (str,1):

    filename for the default ReferenceSystems reader

-referencesystemid ReferenceSystemId (int,1); default=-1: id of the

    reference system to use

-referencesystemidsarray ReferenceSystemsIdArrayName (str,1): name

    of the array where reference system ids are stored

-normal1array ReferenceSystemsNormal1ArrayName (str,1): name of the

    array where the first normals defining the reference systems are stored

-normal2array ReferenceSystemsNormal2ArrayName (str,1): name of the

    array where the second normals defining the reference systems are stored

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface